### Signal

# Camel FolderSummary::info-flags-changed

since: 3.58

#### Declaration

    void
    info_flags_changed (
      CamelFolderSummary* self,
      gchar* uid,
      guint new_flags,
      gpointer user_data
    )

#### Description [src]

Emitted on call to camel_folder_summary_replace_flags(), when the flags changed.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 3.58

#### Parameters

`uid`

  Type: `gchar*`

  The message UID whose flags changed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`new_flags`

  Type: `guint`

  The new flags.